# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2021/10/19 15:47
# @File           : development.py
# @IDE            : PyCharm
# @desc           : 数据库生产配置文件


"""
Mysql 数据库配置项
连接引擎官方文档：https://www.osgeo.cn/sqlalchemy/core/engines.html
数据库链接配置说明：mysql+asyncmy://数据库用户名:数据库密码@数据库地址:数据库端口/数据库名称
"""
SQLALCHEMY_DATABASE_URL = "mysql+asyncmy://root:root@127.0.0.1:3306/aicheck-dev"


"""
Redis 数据库配置
格式："redis://:密码@地址:端口/数据库名称"
"""
REDIS_DB_ENABLE = True
REDIS_DB_URL = "redis://:sdust2020@127.0.0.1:6379/0"

"""
MongoDB 数据库配置
格式：mongodb://用户名:密码@地址:端口/?authSource=数据库名称
"""
MONGO_DB_ENABLE = True
MONGO_DB_NAME = "aicheck"
MONGO_DB_URL = f"mongodb://localhost:27017/?authSource={MONGO_DB_NAME}"

"""
华为云对象存储OBS设置
"""
HUAWEI_OBS = {
    "AccessKeyID": "HPUAICKSMPQP4XSATCLX",
    "SecretAccessKey": "DoAL1RWydNwSQRsodS4c34nC0XyXy6TAsetVMasy",
    "server": "https://obs.cn-north-4.myhuaweicloud.com",
    "bucketName": "aicheckv2"
}

"""
获取IP地址归属地
文档：https://user.ip138.com/ip/doc
"""
IP_PARSE_ENABLE = False
IP_PARSE_TOKEN = "IP_PARSE_TOKEN"

"""
yolov5的各种文件保存地址
images_url    原始图片保存地址
datasets_url  文件集文件地址
runs_url      训练结果文件地址
detect_url    推理集合文件地址
yolo_url      yolov5执行文件所在的文件路径
"""
images_url = r'D:\syg\images'
datasets_url = r'D:\syg\yolov5\datasets'
runs_url = r'D:\syg\yolov5\runs'
detect_url = r'D:\syg\yolov5\detect'
yolo_url = r'D:\syg\workspace\aicheckv2\yolov5'