#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:31
# @File           : project_detect_log_file.py
# @IDE            : PyCharm
# @desc           : pydantic 模型，用于数据库序列化操作

from core.data_types import DatetimeStr

from pydantic import BaseModel, ConfigDict
from typing import Optional


class ProjectDetectLogFileOut(BaseModel):
    id: Optional[int]
    file_name: Optional[str]
    thumb_file_url: Optional[str]
    create_datetime: DatetimeStr

    model_config = ConfigDict(from_attributes=True)
